#! /bin/sh

BROKER_ALLUP="${top_builddir}/allup/src/broker_allup -ORBEndpoint iiop://localhost:0"
CBHEY=${top_builddir}/cbhey/src/cbhey

$BROKER_ALLUP &
ALLUP_PID="$!"

trap 'kill $ALLUP_PID' EXIT

sleep 2

$CBHEY file://allup.ior create library with name ${top_builddir}/libbroker/src/.libs/libcpu-broker > cb.ior
$CBHEY file://cb.ior create manager with name dummy > manager.ior
$CBHEY file://cb.ior create stub-real-time-task with name srtt > srtt.ior

##

run_test $CBHEY file://srtt.ior list

check_output "Unable to list root properties?" <<EOF
name
report-cpu
EOF

##

run_test $CBHEY file://srtt.ior set manager to file://manager.ior

check_output "Unable to set the manager?" <<EOF
ok
EOF

##
